/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	LO共通項目データ保持クラス
//			変更履歴
//				2004.01.08	新規作成	  二條智文
//
package jp.co.ntt.lms.lo;

/**
 * LO共通項目データ保持クラスです。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class LoComData implements java.io.Serializable {

	/** LOIDを保持します */
	private String mstrLoID = "";

	/** 教材IDを保持します */
	private String mstrMaterialID = "";

	/** LOタイトルを保持します */
	private String mstrTitle = "";

	/** LO説明を保持します */
	private String mstrExplanation = "";

	/** LOバージョンを保持します */
	private String mstrVersion = "";

	/** LO作成日を保持します */
	private String mstrCreateDate = "";

	/** LO登録日を保持します */
	private String mstrEntryDate = "";

	/** LO最終更新日を保持します */
	private String mstrLastDate = "";

	/** LO更新回数を保持します */
	private String mstrRenewCnt = "";

	/** 登録USERIDを保持します */
	private String mstrEntryID = "";

	/** 最終更新USERIDを保持します */
	private String mstrLastID = "";

	/** 履歴USERIDを保持します */
	private String mstrUserID = "";

	/** 履歴USERNAMEを保持します */
	private String mstrUserName = "";

	/** 隠しフラグを保持します */
	private String mstrDeleteFlag = "";

	/** 完結要件を保持します */
	private String mstrConclusion = "";

	/** Windowサイズ(縦) */
	private String mstrWinHeight = "";

	/** Windowサイズ(横) */
	private String mstrWinWidth = "";

	/**
	 * LOIDを設定します
	 */
	public void setLoID( String strLoID ) {
		mstrLoID = strLoID;
	}

	/**
	 * LOIDを取得します
	 */
	public String getLoID() {
		return mstrLoID;
	}

	/**
	 * 教材IDを設定します
	 */
	public void setMaterialID( String strMaterialID ) {
		mstrMaterialID = strMaterialID;
	}

	/**
	 * 教材IDを取得します
	 */
	public String getMaterialID() {
		return mstrMaterialID;
	}

	/**
	 * LOタイトルを設定します
	 */
	public void setTitle( String strTitle ) {
		mstrTitle = strTitle;
	}

	/**
	 * LOタイトルを取得します
	 */
	public String getTitle() {
		return mstrTitle;
	}

	/**
	 * LO説明を設定します
	 */
	public void setExplanation( String strExplanation ) {
		mstrExplanation = strExplanation;
	}

	/**
	 * LO説明を取得します
	 */
	public String getExplanation() {
		return mstrExplanation;
	}

	/**
	 * LOバージョンを設定します
	 */
	public void setVersion( String strVersion ) {
		mstrVersion = strVersion;
	}

	/**
	 * LOバージョンを取得します
	 */
	public String getVersion() {
		return mstrVersion;
	}

	/**
	 * LO作成日を設定します
	 */
	public void setCreateDate( String strCreateDate ) {
		mstrCreateDate = strCreateDate;
	}

	/**
	 * LO作成日を取得します
	 */
	public String getCreateDate() {
		return mstrCreateDate;
	}

	/**
	 * LO登録日を設定します
	 */
	public void setEntryDate( String strEntryDate ) {
		mstrEntryDate = strEntryDate;
	}

	/**
	 * LO登録日を取得します
	 */
	public String getEntryDate() {
		return mstrEntryDate;
	}

	/**
	 * LO最終更新日を設定します
	 */
	public void setLastDate( String strLastDate ) {
		mstrLastDate = strLastDate;
	}

	/**
	 * LO最終更新日を取得します
	 */
	public String getLastDate() {
		return mstrLastDate;
	}

	/**
	 * LO更新回数を設定します
	 */
	public void setRenewCnt( String strRenewCnt ) {
		mstrRenewCnt = strRenewCnt;
	}

	/**
	 * LO更新回数を取得します
	 */
	public String getRenewCnt() {
		return mstrRenewCnt;
	}

	/**
	 * 登録ユーザIDを設定します
	 */
	public void setEntryID( String strEntryID ) {
		mstrEntryID = strEntryID;
	}

	/**
	 * 登録ユーザIDを取得します
	 */
	public String getEntryID() {
		return mstrEntryID;
	}

	/**
	 * 最終更新ユーザIDを設定します
	 */
	public void setLastID( String strLastID ) {
		mstrLastID = strLastID;
	}

	/**
	 * 最終更新ユーザIDを取得します
	 */
	public String getLastID() {
		return mstrLastID;
	}

	/**
	 * 隠しフラグを設定します
	 */
	public void setDeleteFlag( String strDeleteFlag ) {
		mstrDeleteFlag = strDeleteFlag;
	}

	/**
	 * 隠しフラグを取得します
	 */
	public String getDeleteFlag() {
		return mstrDeleteFlag;
	}

	/**
	 * 完結要件を設定します
	 */
	public void setConclusion( String strConclusion ) {
		mstrConclusion = strConclusion;
	}

	/**
	 * 完結要件を取得します
	 */
	public String getConclusion() {
		return mstrConclusion;
	}

	// 本来、ウィンドウサイズは共通項目とはならないため、ここにset,getメソッドを
	// 記述すべきではないが、今現在(2002.01.17)存在する11LOのうち、8LOがウィンドウサイズを
	// 実装しているため、共通項目扱いとしている。
	/**
	 * Windwoサイズ(縦)を設定します
	 */
	public void setWinHeight( String strWinHeight ) {
		mstrWinHeight = strWinHeight;
	}

	/**
	 * Windwoサイズ(縦)を取得します
	 */
	public String getWinHeight() {
		return mstrWinHeight;
	}

	/**
	 * Windwoサイズ(横)を設定します
	 */
	public void setWinWidth( String strWinWidth ) {
		mstrWinWidth = strWinWidth;
	}

	/**
	 * Windwoサイズ(横)を取得します
	 */
	public String getWinWidth() {
		return mstrWinWidth;
	}

}